import React, { Component } from 'react';
import { Card, Checkbox, Icon, Button } from 'antd';
import { genAbsolutePicUrl } from '../../utils/utils';
import styles from './PictureItem.less';

class PictureItem extends Component {
  handleItemChecked = (e) => {
    const { item, onSelectChange } = this.props;
    onSelectChange(item.id, e.target.checked);
  };
  handleItemEdit = () => {
    const { item, onEdit } = this.props;
    onEdit(item);
  };
  render() {
    const { item, selected } = this.props;
    const { path, code } = item;
    return (
      <Card
        bordered
        hoverable
        className={styles.card}
      >
        <div className={styles.picWrapper}>
          <img src={genAbsolutePicUrl(path)} alt="cover" />
        </div>
        <Checkbox
          checked={selected}
          className={styles.checkbox}
          onChange={this.handleItemChecked}
        />
        {/* 不需删除功能 */}
        <Icon
          type="close-square-o"
          className={styles.removeIcon}
        />
        <div className={styles.metaData}>
          {code}
        </div>
        <div className={styles.picActions}>
          <Button
            size="small"
            type="primary"
            icon="edit"
            style={{ marginRight: 5 }}
            onClick={this.handleItemEdit}
          >编辑
          </Button>
        </div>
      </Card>
    );
  }
}

export default PictureItem;
