import {
  queryCampusList,
  downloadCampusExcel,
  queryTerminalsList,
  downloadTerminalsExcel,
} from '../services/accounts';

export default {
  namespace: 'accounts',

  state: {
    list: [],
    pageNo: 1,
    pageSize: 15,
    totalSize: 0,
    currentItem: {},
  },

  effects: {
    *fetchCampusList({ payload }, { call, put }) {
      const response = yield call(queryCampusList, payload);
      if (response.success) {
        yield put({
          type: 'querySuccess',
          payload: {
            list: response.data.list || [],
            pageSize: response.data.pageSize,
            totalSize: response.data.totalSize,
            pageNo: response.data.pageNo,
          },
        });
      }
    },
    *fetchCampusExcel({ payload }, { call }) {
      yield call(downloadCampusExcel, payload);
    },
    *fetchTerminalsList({ payload }, { call, put }) {
      console.log('fetchTerminalsList');
      const response = yield call(queryTerminalsList, payload);
      if (response.success) {
        yield put({
          type: 'querySuccess',
          payload: {
            list: response.data.list || [],
            pageSize: response.data.pageSize,
            totalSize: response.data.totalSize,
            pageNo: response.data.pageNo,
          },
        });
      }
    },
    *fetchTerminalsExcel({ payload }, { call }) {
      yield call(downloadTerminalsExcel, payload);
    },
  },

  reducers: {
    querySuccess(state, action) {
      return {
        ...state,
        ...action.payload,
      };
    },
  },

};
