import React, { Component } from 'react';
import { Route, Switch } from 'dva/router';
import { connect } from 'dva';
import { Card } from 'antd';
import { getRoutes } from '../../../utils/utils';
import PageHeaderLayout from '../../../layouts/PageHeaderLayout';

@connect()
export default class PictureUpload extends Component {
  render() {
    const { match, routerData } = this.props;
    const routes = getRoutes(match.path, routerData);

    return (
      <PageHeaderLayout>
        <Card>
          <Switch>
            {
              routes.map(item =>
                (
                  <Route
                    key={item.key}
                    path={item.path}
                    component={item.component}
                    exact={item.exact}
                  />
                )
              )
            }
          </Switch>
        </Card>
      </PageHeaderLayout>
    );
  }
}
