import React, { Component } from 'react';
import pathToRegexp from 'path-to-regexp';
import { Redirect, Route, Switch } from 'dva/router';
import { connect } from 'dva';
import PageHeaderLayout from '../../layouts/PageHeaderLayout';
import { getRoutes } from '../../utils/utils';

@connect()
export default class Shelves extends Component {
  render() {
    let targetPath = pathToRegexp('/shelves/:target').exec(this.props.location.pathname);
    if (!targetPath) {
      targetPath = pathToRegexp('/shelves/:target/:operation').exec(this.props.location.pathname);
    }
    const target = targetPath[1];
    const { match, routerData } = this.props;
    const routes = getRoutes(match.path, routerData);

    return (
      <PageHeaderLayout>
        <Switch>
          {
            routes.map(item =>
              (
                <Route
                  key={item.key}
                  path={item.path}
                  component={item.component}
                  exact={item.exact}
                />
              )
            )
          }
          <Redirect exact from={`/shelves/${target}`} to={`/shelves/${target}/list`} />
        </Switch>
      </PageHeaderLayout>
    );
  }
}
