import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryCoursewareList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.courseware}?${stringify(newParams)}`);
}

export async function queryCoursewareItem({ id }) {
  return request(`${api.coursewareItem}/${id}`);
}

export async function createCoursewareItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.coursewareItem}`, options);
}

export async function updateCoursewareItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.coursewareItem}`, options);
}

export async function deleteCoursewareItem({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.coursewareItem}/${id}`, options);
}
