import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryLessonList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.lesson}?${stringify(newParams)}`);
}

export async function queryLessonItem({ id }) {
  return request(`${api.lessonItem}/${id}`);
}

export async function createLessonItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.lessonItem}`, options);
}

export async function updateLessonItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.lessonItem}`, options);
}

export async function deleteLessonItem({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.lessonItem}/${id}`, options);
}
