import { stringify } from 'qs';
import request from '../utils/request';
import { Hotax, api } from '../utils/config';

export async function queryItemList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.items}?${stringify(newParams)}`);
}

export async function queryItemDetail(params) {
  return request(`${api.itemDetail}?${stringify(params)}`);
}

export async function createItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.itemCreate}`, options);
}

export async function deleteItem(params) {
  const options = {
    method: 'PUT',
    body: {
      ...params,
      status: Hotax.STATUS_DELETE,
    },
  };
  return request(`${api.itemCreate}`, options);
}

export async function recoverItem(params) {
  const options = {
    method: 'PUT',
    body: {
      ...params,
      status: Hotax.STATUS_NORMAL,
    },
  };
  return request(`${api.itemCreate}`, options);
}

export async function createItemPrice(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.itemBindPrices}`, options);
}

export async function updateItemPrice(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.itemBindPrices}`, options);
}

export async function deleteItemPrice({ goodsId }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.itemBindPrices}/${goodsId}`, options);
}

export async function updateItemTags(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.itemBindTags}`, options);
}
