import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryTagGroupList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.tagGroup}?${stringify(newParams)}`);
}

export async function queryTagGroupItem({ groupId }) {
  return request(`${api.tagGroupItem}/${groupId}`);
}

export async function createTagGroupItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.tagGroupItem}`, options);
}

export async function updateTagGroupItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.tagGroupItem}`, options);
}

export async function deleteTagGroupItem({ groupId }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.tagGroupItem}/${groupId}`, options);
}
